VCSLocalServiceGroup (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.veritas.cluster.VCSLocalServiceGroup interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.veritas.cluster
Interface VCSLocalServiceGroup

All Superinterfaces:
  ConfigurationItem, ITSystem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, ServiceGroup

    public interface VCSLocalServiceGroup

extends ServiceGroup

VCSLocalServiceGroup is a part of VCS Service Group configuration associated to only one particular system instance.

Naming Rules:
  0="localSystem,name"
Persistable:
  true
Display Name:
  localSystem,name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`VCSSystem` | `getLocalSystem()`
`VCSServiceGroup` | `getParentGlobalGroup()`
`VCSResourceConfiguration[]` | `getResourcesConfiguration()`
`int` | `getState()` Group state on each system: OFFLINE - All non-persistent resources are offline.
`int` | `getSystemPriority()` Priorities of system on which service group is configured.
`boolean` | `hasLocalSystem()`
`boolean` | `hasParentGlobalGroup()`
`boolean` | `hasResourcesConfiguration()`
`boolean` | `hasState()`
`boolean` | `hasSystemPriority()`
`void` | `setLocalSystem(VCSSystem x)`
`void` | `setParentGlobalGroup(VCSServiceGroup x)`
`void` | `setResourcesConfiguration(VCSResourceConfiguration[] x)`
`void` | `setState(int x)`
`void` | `setSystemPriority(int x)`

Methods inherited from interface com.collation.platform.model.topology.sys.ServiceGroup
`getChildGroups, getParentGroup, hasChildGroups, hasParentGroup, setChildGroups, setParentGroup`

Methods inherited from interface com.collation.platform.model.topology.sys.ITSystem
`getComponents, getContact, getContainingSystem, getName, getURL, hasComponents, hasContact, hasContainingSystem, hasName, hasURL, setComponents, setContact, setContainingSystem, setName, setURL`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getState

    int getState()
                 throws AttributeNotSetException

  Group state on each system: OFFLINE - All non-persistent resources are offline. ONLINE - All resources whose AutoStart attribute is equal to 1 are online. FAULTED - At least one critical resource in the group is faulted or is affected by a fault. PARTIAL - At least one, but not all, resources with Operations=OnOff is online, and not all AutoStart resources are online. STARTING - Group is attempting to go online. STOPPING - Group is attempting to go offline.

  Throws:
    `AttributeNotSetException`

### setState

    void setState(int x)

### hasState

    boolean hasState()

### getResourcesConfiguration

    VCSResourceConfiguration[] getResourcesConfiguration()
                                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Controls" reverse="false"

### setResourcesConfiguration

    void setResourcesConfiguration(VCSResourceConfiguration[] x)

### hasResourcesConfiguration

    boolean hasResourcesConfiguration()

### getLocalSystem

    VCSSystem getLocalSystem()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.BasedOn" reverse="false"

### setLocalSystem

    void setLocalSystem(VCSSystem x)

### hasLocalSystem

    boolean hasLocalSystem()

### getParentGlobalGroup

    VCSServiceGroup getParentGlobalGroup()
                                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Realizes" reverse="false"

### setParentGlobalGroup

    void setParentGlobalGroup(VCSServiceGroup x)

### hasParentGlobalGroup

    boolean hasParentGlobalGroup()

### getSystemPriority

    int getSystemPriority()
                          throws AttributeNotSetException

  Priorities of system on which service group is configured. Lower numbers indicate a preference for the system as a failover target.

  Throws:
    `AttributeNotSetException`

### setSystemPriority

    void setSystemPriority(int x)

### hasSystemPriority

    boolean hasSystemPriority()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD